Summary:	A library of useful tools when developing multi-threaded software
Summary(pl.UTF-8):	Biblioteka nardzędzi przydatnych podczas tworzenia oprogramowania wielowątkowego
Name:		libcfu
Version:	0.03
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://downloads.sourceforge.net/libcfu/%{name}-%{version}.tar.bz2
# Source0-md5:	7b73fcea701f73d30f4644a84d371481
Patch0:		%{name}-shared.patch
Patch1:		%{name}-examples.patch
Patch2:		%{name}-info.patch
Patch3:		%{name}-types.patch
URL:		https://libcfu.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libcfu is a library of tools that can be useful, particularly when
developing multi-threaded software. It currently includes a hash
table, a linked list, self-extending strings, a configuration file
parser, a simple timer, and a thread queue.

%description -l pl.UTF-8
Libcfu jest zestawem narzędzi, które mogą okazać się przydatne,
szczególnie podczas rozwijania oprogramowania wielowątkowego.
Aktualnie zawiera tablicę haszującą, listę dynamiczną, samorozwijające
się ciągi znaków, parser plików konfiguracyjnych, prosty zegar oraz
kolejkę wątków.

%package devel
Summary:	Header files for libcfu library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcfu
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libcfu library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcfu.

%package static
Summary:	Static libcfu library
Summary(pl.UTF-8):	Statyczna biblioteka libcfu
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcfu library.

%description static -l pl.UTF-8
Statyczna biblioteka libcfu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README src/TODO
%attr(755,root,root) %{_libdir}/libcfu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcfu.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libcfu-config
%attr(755,root,root) %{_libdir}/libcfu.so
%{_libdir}/libcfu.la
%{_includedir}/cfu*.h
%{_infodir}/libcfu.info*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libcfu.a
%changelog
* Mon Feb 12 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcfu.git;a=log;h=master

* Mon Feb 12 2024 Jakub Bogusz <qboosh@pld-linux.org> 9098c00
- added types patch (fixes size_t format strings)

* Sun Feb 11 2024 Jakub Bogusz <qboosh@pld-linux.org> dbcf450
- updated to 0.03, finished packaging

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 09de14e
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 058f44d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dd870fb
- converted to UTF-8

* Mon Aug 22 2005 Adam Gołębiowski <adamg@pld-linux.org> 99ba999
- reverted last commit

* Mon Aug 22 2005 Adam Gołębiowski <adamg@pld-linux.org> 3645e51
- *** empty log message ***

* Wed Aug 03 2005 Jakub Bogusz <qboosh@pld-linux.org> 4b7b2e1
- BR: ac,am,lt

* Mon Aug 01 2005 Adam Gołębiowski <adamg@pld-linux.org> 2e3a429
- new

